Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class Divide

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.BinaryFunction
              com.singularsys.jep.functions.Divide

All Implemented Interfaces:
  PostfixMathCommandI, RealBinaryFunction, java.io.Serializable

    public final class Divide

extends BinaryFunction
implements RealBinaryFunction

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`Divide()`

Method Summary
`Complex` | `div(Complex c1, Complex c2)`
`Complex` | `div(Complex c, java.lang.Number d)`
`Complex` | `div(java.lang.Number d, Complex c)`
`java.lang.Double` | `div(java.lang.Number d1, java.lang.Number d2)`
`java.lang.Object` | `div(java.lang.Object param1, java.lang.Object param2)`
`java.util.Vector<java.lang.Object>` | `div(java.util.Vector<?> v, java.lang.Object d)`
`java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
`double` | `evaluate(double l, double r)`

Methods inherited from class com.singularsys.jep.functions.BinaryFunction
`run`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Divide

    public Divide()

Method Detail

### eval

    public final java.lang.Object eval(java.lang.Object l,
                                       java.lang.Object r)
                                throws EvaluationException

  Specified by:
    `eval` in class `BinaryFunction`
  Throws:
    `EvaluationException`

### div

    public java.lang.Object div(java.lang.Object param1,
                                java.lang.Object param2)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### div

    public java.lang.Double div(java.lang.Number d1,
                                java.lang.Number d2)

### div

    public Complex div(Complex c1,
                       Complex c2)

### div

    public Complex div(java.lang.Number d,
                       Complex c)

### div

    public Complex div(Complex c,
                       java.lang.Number d)

### div

    public java.util.Vector<java.lang.Object> div(java.util.Vector<?> v,
                                                  java.lang.Object d)
                                           throws EvaluationException

  Throws:
    `EvaluationException`

### evaluate

    public double evaluate(double l,
                           double r)

  Specified by:
    `evaluate` in interface `RealBinaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep